-record(insert_conflict_update, {
    target :: cake@internal@write_query:insert_confict_target(),
    where :: cake@internal@read_query:where(),
    update :: cake@internal@write_query:update(any())
}).
